#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,96,144,192,240,480,960,1440,1680,1824,1872,1920,1968
 * N : 25,96,144,192,240,480,960,1440,1680,1824,1872,1920,1968
 * NB : 2,9,9,12,12,20,24,24,24,24,24,24,192
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 60) (nb_) = 2; \
   else if ((n_) < 168) (nb_) = 9; \
   else if ((n_) < 360) (nb_) = 12; \
   else if ((n_) < 720) (nb_) = 20; \
   else if ((n_) < 1944) (nb_) = 24; \
   else (nb_) = 192; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
